classification
Title: Add _PyObject_CallMethodOneArg()
Type: performance Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, jdemeyer, methane, vstinner
Priority: normal Keywords: patch

Created on 2019-07-10 12:06 by jdemeyer, last changed 2019-07-19 06:07 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14685 merged jdemeyer, 2019-07-10 13:19
PR 14785 merged ZackerySpytz, 2019-07-15 16:37
Messages (4)
msg347619 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-07-10 12:06
We already have

_PyObject_CallNoArg()
_PyObject_CallOneArg()
_PyObject_CallMethodNoArgs()

so it makes sense to also add

_PyObject_CallMethodOneArg()
msg347663 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-07-11 08:59
New changeset 59ad110d7a7784d53d0b502eebce0346597a6bef by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37547: add _PyObject_CallMethodOneArg (GH-14685)
https://github.com/python/cpython/commit/59ad110d7a7784d53d0b502eebce0346597a6bef
msg347982 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-07-15 16:43
It seems that 59ad110d7a7784d53d0b502eebce0346597a6bef introduced a compiler warning in Modules/_io/winconsoleio.c.

c:\projects\cpython\modules\_io\winconsoleio.c(208): warning C4133: 'function': incompatible types - from 'winconsoleio *' to 'PyObject *' [C:\projects\cpython\PCbuild\pythoncore.vcxproj]

PR 14785 fixes this.
msg348143 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-07-19 06:07
New changeset d3952096537d9d2706e10af0c0596daeee6a58c9 by Inada Naoki (Zackery Spytz) in branch 'master':
bpo-37547: Fix a compiler warning in winconsoleio.c (GH-14785)
https://github.com/python/cpython/commit/d3952096537d9d2706e10af0c0596daeee6a58c9
History
Date User Action Args
2019-07-19 06:07:24methanesetmessages: + msg348143
2019-07-15 16:43:38ZackerySpytzsetnosy: + ZackerySpytz
messages: + msg347982
2019-07-15 16:37:40ZackerySpytzsetpull_requests: + pull_request14582
2019-07-11 09:02:48jdemeyersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-07-11 08:59:22methanesetmessages: + msg347663
2019-07-10 13:19:34jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request14492
2019-07-10 12:06:19jdemeyercreate